Subject: Re: Gianfar driver crashes in Kernel v3.10

From: Claudiu Manoil <[email-masked]>
Date: Fri, 4 Oct 2013 16:45:47 +0300

On 10/4/2013 3:03 PM, Thomas Hühn wrote:
> Hi all,
>
> We are several Openwrt users based on the TPlink 4900 device and suffer from a crashing gianfar driver.
> We troubleshooted the problem down to the fact, that a 3.8er Linux kernel is working, and a v3.10 crashes, but there is
> no reproducable case yet.

I'll have some low traffic tests with the upstream 3.10 kernel on a
p1010rdb, but since you say there's no "reproducibility case" the crash
may not be easy to spot on my side.  I wouldn't jump to conclusions
too fast, the fact that it manifests now doesn't neccesarily mean
that a bug was introduced between v3.8 and v3.10.
I'll let you know should I find something.  Meanwhile, if you have
additional information about how to reproduce it, please share.

Thanks,
Claudiu